API referenceCheckout
Price a cart and list payment methods
Path Parameters
storeId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/public/stores/string/checkout/preview" \ -H "Content-Type: application/json" \ -d '{ "lines": [ { "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf", "qty": 1 } ] }'{ "env": "live", "items": [ { "key": "string", "kind": "variant", "parentKey": "string", "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf", "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113", "productName": "string", "variantName": "string", "imageUrl": "string", "qty": -9007199254740991, "unitPriceMinor": -9007199254740991, "discountMinor": -9007199254740991, "totalMinor": -9007199254740991, "minQty": -9007199254740991, "maxQty": -9007199254740991, "stockAvailable": -9007199254740991, "deliveryType": "string", "customFields": [ { "key": "string", "label": "string", "type": "text", "placeholder": "string", "hint": "string", "defaultValue": "string", "required": true, "options": [ "string" ], "pattern": "string", "minSelections": -9007199254740991, "maxSelections": -9007199254740991, "conditionAddonIds": [ "985a0c88-d4e4-4c33-9c67-080cc9c45a5b" ] } ], "customFieldsAfterPayment": true, "addons": [ { "addonId": "ed930881-3f27-4e25-9365-ff53ffbcfa14", "name": "string", "priceMinor": -9007199254740991, "required": true, "selected": true } ], "deliveryEstimate": { "label": "string", "note": "string" }, "preorder": { "note": "string" } } ], "totals": { "subtotalMinor": -9007199254740991, "discountMinor": -9007199254740991, "shippingMinor": -9007199254740991, "taxMinor": -9007199254740991, "totalMinor": -9007199254740991, "currency": "string" }, "coupon": { "code": "string", "applied": true, "message": "string", "discountMinor": -9007199254740991 }, "methods": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "string", "label": "string", "description": "string", "group": "string", "iconUrl": "string", "asset": "string", "eligible": true, "reason": "string", "message": "string", "feeMinor": -9007199254740991, "totalMinor": -9007199254740991, "currency": "string", "splitCreditAllowed": true, "cashbackMinor": -9007199254740991, "cashbackCurrency": "string", "chargedInStoreCurrency": true } ], "buyerCountry": "string", "needsBillingAddress": true, "needsShippingAddress": true, "presentment": { "currency": "string", "storeCurrency": "string", "rate": "string", "rateDate": "string" }, "affiliate": { "code": "string", "discountBp": -9007199254740991, "discountMinor": -9007199254740991 }, "account": { "email": "string", "balanceMinor": -9007199254740991, "balanceCurrency": "string" }}